{ print $1 ": $(EXE)"$1 ;
  print "	" ;
  xlib = ""
  if (NF == 1) 
     obj = "$(OBJ)"$1".o";
  else if (NF == 2 && $2 == "DB") {
     obj = "$(OBJ)"$1".o";
     xlib = "$(LIBSORA)";
  }
  else {
    obj = "";
    for (i=2;i<=NF;i++) {
      if ($i == "DB")
       xlib = "$(LIBSORA)"
      else
       obj = obj " $(OBJ)"$i;
     }
  }
  print "$(EXE)"$1 ":" obj;
  print "	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ " xlib
  print "  "  
}
